# ModuleComponentIdentifier

interface ModuleComponentIdentifier : ComponentIdentifier

An identifier for a component instance which is available as a module version.

#### Since

1.10

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getGroup
Link copied to clipboard
abstract fun getGroup(): String
The module group of the component.
getModule
Link copied to clipboard
abstract fun getModule(): String
The module name of the component.
getModuleIdentifier
Link copied to clipboard
abstract fun getModuleIdentifier(): ModuleIdentifier
The module identifier of the component.
getVersion
Link copied to clipboard
abstract fun getVersion(): String
The module version of the component.